<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- $Id: html_common.xsl,v 1.13 2005/02/28 16:11:11 ppierre Exp $ -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!--
       ===================================================
       Bloc
       =================================================== 
  -->
  <xsl:template match="block">
    <xsl:if test="@type='block1' and (not(option) or option/@id=$option or option/@id='all')">
      <table border="1" cellpadding="2" cellspacing="1" width="100%">
        <tr><td valign="middle">
          <table border="0" cellpadding="3" cellspacing="0">
            <xsl:for-each select="block">
              <tr valign="top">
                <td width="190"><b><xsl:apply-templates select="title"/></b></td>
                <td width="20" align="center">:</td>
                <td><xsl:apply-templates select="parag" mode="inline"/></td>
              </tr>
            </xsl:for-each>
          </table>
        </td></tr>
      </table>
      <br/>
    </xsl:if>

    <xsl:if test="not(@type='block1') and (not(option) or option/@id=$option or option/@id='all')">
      <xsl:if test="@begin='bullet1'">
        <img src="{$img2_pre}puce{$img2_suf}" align="top" border="0"/>&#160;
      </xsl:if>
      <xsl:if test="@begin='bullet2'">
        <img src="{$img2_pre}puce{count(preceding-sibling::block[@begin='bullet2'])+1}{$img2_suf}" align="bottom" border="0"/>&#160;
      </xsl:if>
    
      <xsl:if test="title">
        <a name="block{count(preceding::block)+1}">
          <xsl:choose>
            <xsl:when test="@type='block2'"><b><xsl:apply-templates select="title"/></b>. </xsl:when>
            <xsl:when test="count(ancestor::*)=2"><p><font size="+1" color="{$title2_color}"><b><xsl:apply-templates select="title"/></b></font></p></xsl:when>
            <xsl:when test="count(ancestor::*)=3"><font color="{$title3_color}"><b><xsl:apply-templates select="title"/></b></font><br/></xsl:when>
            <xsl:when test="count(ancestor::*)=4"><font color="{$title4_color}"><xsl:apply-templates select="title"/></font><br/></xsl:when>
            <xsl:otherwise><b><xsl:apply-templates select="title"/></b><br/></xsl:otherwise>
          </xsl:choose>
        </a>
      </xsl:if>

      <xsl:if test="parag">
        <xsl:if test="image or out">
          <table border="0">
            <tr valign="top">
              <td><xsl:apply-templates select="out | image"/></td>
              <td>&#160;</td>
              <td><xsl:call-template name="block_cell"/></td>
            </tr>
          </table>
        </xsl:if>
        <xsl:if test="not(image) and not(out)">
          <xsl:call-template name="block_cell"/>
        </xsl:if>
      </xsl:if>
      <xsl:if test="not(parag)">
        <xsl:apply-templates select="block | image"/>
      </xsl:if>
    
      <p><xsl:text> </xsl:text></p>
      <xsl:text> 

      </xsl:text>
    </xsl:if>
  </xsl:template>

 <xsl:template name="block_cell">
    <xsl:choose>
      <xsl:when test="@type='block3'">
        <xsl:apply-templates select="parag" mode="consigne_titre"/>
      </xsl:when>
      <xsl:when test="@type='block4'">
        <xsl:apply-templates select="parag" mode="consigne_texte"/>
      </xsl:when>
      <xsl:when test="@type='block5'">
         <xsl:apply-templates select="parag" mode="manip"/>
      </xsl:when>
      <xsl:otherwise>
        <xsl:apply-templates select="parag"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
 
 <!--
       ===================================================
       Paragraphe
       =================================================== 
  -->
  <xsl:template match="parag">
    <p><xsl:apply-templates/></p>
    <!--<xsl:if test="not(local-name(child::*[position()=last()])='ul')"><br/></xsl:if>-->
  </xsl:template>
  <xsl:template match="parag" mode="inline"><xsl:apply-templates/></xsl:template>
  <xsl:template match="parag" mode="consigne_titre">
    <p><font color="{$block3_color}"><b><xsl:apply-templates/></b></font></p>
  </xsl:template>
  <xsl:template match="parag" mode="consigne_texte">
    <p><font color="{$block4_color}"><xsl:apply-templates/></font></p>
  </xsl:template>
  <xsl:template match="parag" mode="manip">
    <p><font color="{$block5_color}"><xsl:apply-templates/></font></p>
  </xsl:template>
  <xsl:template match="parag" mode="out">
    <p><font size="-1"><xsl:apply-templates/></font></p>
  </xsl:template>

  <!--
       ===================================================
       Hors-texte
       =================================================== 
  -->
  <xsl:template match="out">
    <xsl:apply-templates select="parag" mode="out"/>
  </xsl:template>

  <!--
       ===================================================
       Image
       =================================================== 
  -->
  <xsl:template match="image">
    <center>
      <table border="0" cellpadding="0" cellspacing="2">
        <tr valign="top">
          <xsl:if test="@align='horizontal'">
            <td rowspan="4" width="80">&#160;</td>
            <td align="right" valign="bottom">
              <font size="-1"><xsl:apply-templates/><br/><br/></font>
            </td>
          </xsl:if>
          <td align="center">
	    <xsl:if test="@zoom='true'">
	      <a href="{$zoom_pre}{@id}{$zoom_suf}"><img src="{$img1_pre}{@id}{$img1_suf}" border="0"/></a>
	    </xsl:if>
            <xsl:if test="not(@zoom='true')">
              <img src="{$img1_pre}{@id}{$img1_suf}" border="0"/>
            </xsl:if>
          </td>
        </tr>
        <xsl:if test="@align!='horizontal'">
          <tr>
            <td>
              <font size="-1"><xsl:apply-templates/><br/></font>
            </td>
          </tr>  
        </xsl:if>
        <xsl:if test="owner_id">
          <tr><td colspan="2" align="right"><font size="-2"><xsl:apply-templates select="owner_id"/></font></td></tr>  
        </xsl:if>
      </table>
    </center>
    <xsl:if test="$mode='multidoc'"><xsl:apply-templates select="." mode="multidoc"/></xsl:if>
  </xsl:template>
  
  <xsl:template match="owner_id">
    <xsl:value-of select="id(@ref)/fname"/><xsl:text> </xsl:text><xsl:value-of select="id(@ref)/lname"/>
    <xsl:value-of select="id(@ref)/label"/>
    <xsl:if test="position()!=last()"> / </xsl:if>
  </xsl:template>

  <!--
       ===================================================
       Liens
       =================================================== 
  -->
  <xsl:template match="link_annex"><a href="{$annex_pre}{@id}{$annex_suf}"><xsl:apply-templates/></a></xsl:template>
  <xsl:template match="link_uri"><a href="{@uri}" target="_blank"><xsl:apply-templates/></a></xsl:template>
  
   <!--
       ===================================================
       Note
       =================================================== 
  -->
  <xsl:template match="note">
    <a href="{$note_pre}n{count(preceding::note)+1}{$note_suf}"><sup><b class="note_call">(<xsl:value-of select="count(preceding::note)+1"/>)</b></sup></a>
    <xsl:if test="$mode='multidoc'"><xsl:apply-templates select="." mode="multidoc"/></xsl:if>
  </xsl:template>

  <xsl:template match="note" mode="footer">
    <xsl:value-of select="count(preceding::note)+1"/>.
    <xsl:apply-templates/><br/>
  </xsl:template>

  <!--
       ===================================================
       numration
       =================================================== 
  -->
  <xsl:template match="ol|li">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>

  <xsl:template match="ul">
    <xsl:if test="not(count(preceding-sibling)=0)"><br/></xsl:if>
    <xsl:apply-templates select="li" mode="ul"/>
  </xsl:template>
  <xsl:template match="li" mode="ul">
    <font size="+1">-</font><xsl:text> </xsl:text><xsl:apply-templates/><br/>
  </xsl:template>

  <!--
       ===================================================
       Tableau
       =================================================== 
  -->
  <xsl:template match="tabular">
    <xsl:element name="table">
      <xsl:if test="@is_border='true'"><xsl:attribute name="border">1</xsl:attribute></xsl:if>
      <xsl:apply-templates/>
    </xsl:element>
  </xsl:template>
  <xsl:template match="tr|td">
    <xsl:copy>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </xsl:copy>
  </xsl:template>

  <!--
       ===================================================
       Rgles annexes
       =================================================== 
  -->
  <xsl:template match="sub | sup"><xsl:copy><xsl:apply-templates/></xsl:copy></xsl:template>
  <xsl:template match="initials"><font size="-1"><xsl:apply-templates/></font></xsl:template>
  <xsl:template match="foreign"><i><xsl:apply-templates/></i></xsl:template>
  <xsl:template match="insertion"><i><xsl:apply-templates/></i></xsl:template>
  <xsl:template match="wtitle"><i><xsl:apply-templates/></i></xsl:template>
  <xsl:template match="important"><b><xsl:apply-templates/></b></xsl:template>
  <xsl:template match="para"><i><xsl:apply-templates/></i></xsl:template>
  <xsl:template match="icon"><img src="{$img1_pre}{@id}{$img1_suf}"/></xsl:template>
</xsl:stylesheet>
