<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- $Id: html_local.xsl,v 1.2 2004/03/10 10:35:04 ppierre Exp $ -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <!--
       ===================================================
       Symboles
       =================================================== 
  -->
  <xsl:template match="nb"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>nbsp;</xsl:template>
  <xsl:template match="lt"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>lt;</xsl:template>
  <xsl:template match="gt"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>gt;</xsl:template>
  <xsl:template match="le">
    <img src="{$imgm_pre}{/imcdoc/@id}_sle{$imgm_suf}" border="0" align="middle"/>
  </xsl:template>
   <xsl:template match="ge">
    <img src="{$imgm_pre}{/imcdoc/@id}_sge{$imgm_suf}" border="0" align="middle"/>
  </xsl:template>
  <xsl:template match="amp">&amp;</xsl:template>
  <xsl:template match="minus"><font size="+1">-</font></xsl:template>
  <xsl:template match="dash"><font size="+1">-</font><xsl:text> </xsl:text></xsl:template>
  <xsl:template match="euro"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>euro;</xsl:template>
  <xsl:template match="times"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>times;</xsl:template>
  <xsl:template match="div"><font size="+1"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>divide;</font></xsl:template>
  <xsl:template match="hellip">...</xsl:template>
  <xsl:template match="AE"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>AElig;</xsl:template>
  <xsl:template match="ae"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>aelig;</xsl:template>
  <xsl:template match="OE"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>OElig;</xsl:template>
  <xsl:template match="oe"><xsl:text disable-output-escaping="yes">&amp;</xsl:text>oelig;</xsl:template>

  <xsl:template match="nb"     mode="text"><xsl:text> </xsl:text></xsl:template>
  <xsl:template match="amp"    mode="text"><xsl:text disable-output-escaping="yes">&amp;</xsl:text></xsl:template>
  <xsl:template match="minus"  mode="text">-</xsl:template>
  <xsl:template match="dash"   mode="text">-</xsl:template>
  <xsl:template match="euro"   mode="text">euro</xsl:template>
  <xsl:template match="times"  mode="text">x</xsl:template>
  <xsl:template match="div"    mode="text">/</xsl:template>
  <xsl:template match="hellip" mode="text">...</xsl:template>
  <xsl:template match="AE"     mode="text">AE</xsl:template>
  <xsl:template match="ae"     mode="text">ae</xsl:template>
  <xsl:template match="OE"     mode="text">OE</xsl:template>
  <xsl:template match="oe"     mode="text">oe</xsl:template>

  <!--
       ===================================================
       Lettres grecques
       =================================================== 
  -->
  <xsl:template match="alpha">
    <img src="{$imgm_pre}{/imcdoc/@id}_salpha{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="beta">
    <img src="{$imgm_pre}{/imcdoc/@id}_sbeta{$imgm_suf}" border="0" align="middle"/>
  </xsl:template>
  <xsl:template match="gamma">
    <img src="{$imgm_pre}{/imcdoc/@id}_sgamma{$imgm_suf}" border="0" align="middle"/>
  </xsl:template>
  <xsl:template match="Gamma">
    <img src="{$imgm_pre}{/imcdoc/@id}_sgammam{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="delta">
    <img src="{$imgm_pre}{/imcdoc/@id}_sdelta{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="Delta">
    <img src="{$imgm_pre}{/imcdoc/@id}_sdeltam{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="epsilon">
    <img src="{$imgm_pre}{/imcdoc/@id}_sepsilon{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="theta">
    <img src="{$imgm_pre}{/imcdoc/@id}_stheta{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="lambda">
    <img src="{$imgm_pre}{/imcdoc/@id}_slambda{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="Lambda">
    <img src="{$imgm_pre}{/imcdoc/@id}_slambdam{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="pi">
    <img src="{$imgm_pre}{/imcdoc/@id}_spi{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="Pi">
    <img src="{$imgm_pre}{/imcdoc/@id}_spim{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="sigma">
    <img src="{$imgm_pre}{/imcdoc/@id}_ssigma{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="Sigma">
    <img src="{$imgm_pre}{/imcdoc/@id}_ssigmam{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="omega">
    <img src="{$imgm_pre}{/imcdoc/@id}_somega{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="Omega">
    <img src="{$imgm_pre}{/imcdoc/@id}_somegam{$imgm_suf}" border="0"/>
  </xsl:template>
  <xsl:template match="phi">
    <img src="{$imgm_pre}{/imcdoc/@id}_sphi{$imgm_suf}" border="0" align="middle"/>
  </xsl:template>
 
  <!--
       ===================================================
       Nombres romains
       =================================================== 
  -->
  <xsl:template match="roman">
    <xsl:choose>
      <xsl:when test="@num=1"><font size="-1">I</font></xsl:when>
      <xsl:when test="@num=2"><font size="-1">II</font></xsl:when>
      <xsl:when test="@num=3"><font size="-1">III</font></xsl:when>
      <xsl:when test="@num=4"><font size="-1">IV</font> </xsl:when>
      <xsl:when test="@num=5"><font size="-1">V</font></xsl:when>
      <xsl:when test="@num=6"><font size="-1">VI</font></xsl:when>
      <xsl:when test="@num=7"><font size="-1">VII</font></xsl:when>
      <xsl:when test="@num=8"><font size="-1">VIII</font></xsl:when>
      <xsl:when test="@num=9"><font size="-1">IX</font></xsl:when>
      <xsl:when test="@num=10"><font size="-1">X</font></xsl:when>
      <xsl:when test="@num=11"><font size="-1">XI</font></xsl:when>
      <xsl:when test="@num=12"><font size="-1">XII</font></xsl:when>
      <xsl:when test="@num=13"><font size="-1">XIII</font></xsl:when>
      <xsl:when test="@num=14"><font size="-1">XIV</font></xsl:when>
      <xsl:when test="@num=15"><font size="-1">XV</font></xsl:when>
      <xsl:when test="@num=16"><font size="-1">XVI</font></xsl:when>
      <xsl:when test="@num=17"><font size="-1">XVII</font></xsl:when>
      <xsl:when test="@num=18"><font size="-1">XVIII</font></xsl:when>
      <xsl:when test="@num=19"><font size="-1">XIX</font></xsl:when>
      <xsl:when test="@num=20"><font size="-1">XX</font></xsl:when>
      <xsl:when test="@num=21"><font size="-1">XXI</font></xsl:when>
      <xsl:when test="@num=22"><font size="-1">XXII</font></xsl:when>
      <xsl:when test="@num=23"><font size="-1">XXIII</font></xsl:when>
      <xsl:when test="@num=24"><font size="-1">XXIV</font></xsl:when>
      <xsl:when test="@num=25"><font size="-1">XXV</font></xsl:when>
    </xsl:choose>
  </xsl:template>

  <!--
       ===================================================
       Maths
       =================================================== 
  -->
  <xsl:template match="mvar">
    <i><xsl:apply-templates/></i>
  </xsl:template>

  <xsl:template match="mtex">
    <xsl:choose>
      <xsl:when test="@mode='display'">
        <center>
          <img src="{$imgm_pre}{/imcdoc/@id}_m{count(preceding::mtex)+1}{$imgm_suf}" align="{@align}" border="0"/>
        </center>
      </xsl:when>
      <xsl:otherwise>
        <img src="{$imgm_pre}{/imcdoc/@id}_m{count(preceding::mtex)+1}{$imgm_suf}" align="{@align}" border="0"/>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  
  <xsl:template match="mathC">
    <img src="{$imgm_pre}{/imcdoc/@id}_mc{$imgm_suf}" border="0"/>
  </xsl:template>
  
   <xsl:template match="mathN">
    <img src="{$imgm_pre}{/imcdoc/@id}_mn{$imgm_suf}" border="0"/>
  </xsl:template>
  
  <xsl:template match="mathZ">
    <img src="{$imgm_pre}{/imcdoc/@id}_mz{$imgm_suf}" border="0"/>
  </xsl:template>
  
  <xsl:template match="mathR">
    <img src="{$imgm_pre}{/imcdoc/@id}_mr{$imgm_suf}" border="0"/>
  </xsl:template>

  <xsl:template match="mathQ">
    <img src="{$imgm_pre}{/imcdoc/@id}_mq{$imgm_suf}" border="0" align="middle"/>
  </xsl:template>
</xsl:stylesheet>
