<?xml version="1.0" encoding="ISO-8859-1"?>
<!-- $Id: html_bin.xsl,v 1.7 2004/04/05 08:45:38 ppierre Exp $ -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="ISO-8859-1" indent="no"/>

  <xsl:variable name="img1_pre">Images/</xsl:variable>
  <xsl:variable name="img1_suf">.png</xsl:variable>
  <xsl:variable name="img1_sufz">z.png</xsl:variable>
  <xsl:variable name="img2_pre">../../../Skins/Mat/</xsl:variable>
  <xsl:variable name="img2_suf">.png</xsl:variable>
  <xsl:variable name="imgm_pre">Images/</xsl:variable>
  <xsl:variable name="imgm_suf">.png</xsl:variable>
  <xsl:variable name="icon_pre">../Icons/</xsl:variable>
  <xsl:variable name="icon_suf">.png</xsl:variable>
  <xsl:variable name="zoom_pre">zoom:</xsl:variable>
  <xsl:variable name="zoom_suf"></xsl:variable>
  <xsl:variable name="anim_pre">anim:</xsl:variable>
  <xsl:variable name="anim_suf"></xsl:variable>
  <xsl:variable name="note_pre">note:</xsl:variable>
  <xsl:variable name="note_suf"></xsl:variable>
  <xsl:variable name="annex_pre">annex:</xsl:variable>
  <xsl:variable name="annex_suf"></xsl:variable>

  <xsl:variable name="title1_color">#9966CC</xsl:variable>
  <xsl:variable name="title2_color">#9966CC</xsl:variable>
  <xsl:variable name="title3_color">#000000</xsl:variable>
  <xsl:variable name="title4_color">#9966CC</xsl:variable>
  <xsl:variable name="titleblock0_color">#000000</xsl:variable>
  <xsl:variable name="titleblock1_color">#9966CC</xsl:variable>
  <xsl:variable name="titleblock2_color">#000000</xsl:variable>
  <xsl:variable name="block3_color">#000080</xsl:variable>
  <xsl:variable name="block4_color">#000080</xsl:variable>
  <xsl:variable name="block5_color">#000000</xsl:variable>

  <!-- 
       ===================================================
       Rgle principale 
       =================================================== 
  -->
  <xsl:template match="imcdoc">
    <xsl:if test="not($mode)">
      <xsl:apply-templates select="$xpath"/>
    </xsl:if>
    <xsl:if test="$mode='multidoc'">
      <xsl:apply-templates select="$xpath" mode="multidoc"/>
    </xsl:if>
  </xsl:template>

  <!--
       ===================================================
       Page
       =================================================== 
  -->
  <xsl:template match="page">
    <qt>
      <center>
        <br/><br/>
        <table width="90%" border="0">
          <tr><td>
            <xsl:if test="title">
              <p><b><font size="+2"><xsl:apply-templates select="title"/></font></b></p>
            </xsl:if>
            <xsl:apply-templates select="block"/>
          </td></tr>
        </table>
      </center>
    </qt>
  </xsl:template>

  <!--
       ===================================================
       Annex
       =================================================== 
  -->
  <xsl:template match="annex">
    <qt>
      <center>
        <br/><br/>
        <table width="95%" border="0">
          <tr><td>
            <xsl:if test="substring(@id,string-length(@id)-2)='_pr'">
              <table border="0" width="350">
                <tr>
                  <td valign="bottom" width="40"><img src="{$img1_pre}pr{$img1_suf}" border="0"/></td>
                  <td valign="bottom" width="40"><img src="{$icon_pre}{/imcdoc/@id}32{$icon_suf}" border="0"/></td>
                  <td valign="bottom" width="270"><font size="-1">Fiche de l'enseignant<br/>Logiciel utilis : <xsl:value-of select="/imcdoc/title"/></font></td>
                </tr>
                <tr><td colspan="3"><hr/></td></tr>
              </table>
            </xsl:if>
            <xsl:if test="substring(@id,string-length(@id)-2)='_el'">
              <table border="0" width="350">
                <tr>
                  <td valign="bottom" width="40"><img src="{$img1_pre}el{$img1_suf}" border="0"/></td>
                  <td valign="bottom" width="40"><img src="{$icon_pre}{/imcdoc/@id}32{$icon_suf}" border="0"/></td>
                  <td valign="bottom" width="270"><font size="-1">Fiche de l'lve<br/>Logiciel utilis : <xsl:value-of select="/imcdoc/title"/></font></td>
                </tr>
                <tr><td colspan="3"><hr/></td></tr>
              </table>
            </xsl:if>

            <xsl:if test="title">
              <p><b><font size="+2"><xsl:apply-templates select="title"/></font></b></p>
            </xsl:if>

            <xsl:apply-templates select="block"/>
          </td></tr>
        </table>
      </center>
    </qt>
  </xsl:template>

  <!--
       ===================================================
       Image mode "multidoc"
       =================================================== 
  -->
  <xsl:template match="image" mode="multidoc">
    <qt type="detail">
      <center>
        <table border="0" cellpadding="5">
          <tr>
            <td>
              <img src="{$img1_pre}{@id}{$img1_sufz}"/>
            </td>
          </tr>  
        </table>
      </center>
    </qt>
  </xsl:template>

  <!--
       ===================================================
       Note mode "multidoc"
       =================================================== 
  -->
  <xsl:template match="note" mode="multidoc">
    <xsl:apply-templates/>
  </xsl:template>

 <!--
       ===================================================
       Rgles communes
       =================================================== 
  -->
  <xsl:include href="../Default/html_common.xsl"/>
  <xsl:include href="../Default/html_local.xsl"/>

</xsl:stylesheet>
